summarylogtreecommitdiffstats
path: root/mist-icon-theme.install
diff options
context:
space:
mode:
Diffstat (limited to 'mist-icon-theme.install')
-rw-r--r--mist-icon-theme.install20
1 files changed, 16 insertions, 4 deletions
diff --git a/mist-icon-theme.install b/mist-icon-theme.install
index 989465be5e5a..12be2249c204 100644
--- a/mist-icon-theme.install
+++ b/mist-icon-theme.install
@@ -1,12 +1,24 @@
+ICONDIR="/usr/share/icons/Mist"
+
+update_icon_cache() {
+ echo "Updating GTK icon cache..." || return 1
+ gtk-update-icon-cache -f -t "${ICONDIR}" || return 1
+}
+
+
+# arg 1: the new package version
post_install() {
- xdg-icon-resource forceupdate --theme Mist || return 1
+ update_icon_cache
}
+# arg 1: the new package version
+# arg 2: the old package version
post_upgrade() {
- post_install $1
+ update_icon_cache
}
+# arg 1: the old package version
post_remove() {
- post_install $1
- rmdir "/usr/share/icons/Mist"
+ update_icon_cache
+ rmdir "${ICONDIR}"
}